{% extends 'base.html.twig' %}

{% block header_img %}{% endblock %}

{% block header_title %}<h1>Liste des utilisateurs</h1>{% endblock %}

{% block body %}
    {% if users|length == 0 %}
        <div class="alert alert-warning" role="alert">
            Il n'y a pas encore d'utilisateur enregistré. <a href="{{ path('user_create') }}" class="btn btn-warning pull-right">Créer un utilisateur</a>
        </div>
    {% else %}
        <div class="row">
            <table class="table">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Nom d'utilisateur</th>
                    <th>Adresse d'utilisateur</th>
                    <th>Actions</th>
                </tr>
                </thead>
                <tbody>
                {% for user in users %}
                    <tr>
                        <th scope="row">{{ loop.index }}</th>
                        <td>{{ user.username }}</td>
                        <td>{{ user.email }}</td>
                        <td>
                            <a href="{{ path('user_edit', {'userIdentifier' : user.id}) }}" class="btn btn-success btn-sm">Edit</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% endif %}
{% endblock %}
